local _, core = ...; -- Namespace

local AceGUI = LibStub("AceGUI-3.0")


function core.ClassMounts(container)



-- Shadowlands Tab
local function DrawGroup1(container)
 
core.DemonHunterClassMounts(container)

end

-- BFA Tab
local function DrawGroup2(container)

core.DeathKnightClassMounts(container)

end

-- Legion Tab
local function DrawGroup3(container)

core.PaladinClassMounts(container)

end

-- Wod Tab
local function DrawGroup4(container)

core.WarlockClassMounts(container)

end

-- Mop Tab
local function DrawGroup5(container)

core.HunterClassMounts(container)

end


-- Cata Tab
local function DrawGroup6(container)

core.MageClassMounts(container)

end

-- Wotlk Tab
local function DrawGroup7(container)

core.MonkClassMounts(container)

end

-- TBC Tab
local function DrawGroup8(container)

core.PriestClassMounts(container)

end

-- Vanilla Tab
local function DrawGroup9(container)

core.RogueClassMounts(container)

end


-- Vanilla Tab
local function DrawGroup10(container)

core.ShamanClassMounts(container)

end

-- Vanilla Tab
local function DrawGroup11(container)

core.WarriorClassMounts(container)

end



local function SelectGroup(container, event, group)
   container:ReleaseChildren()
   if group == "tab1" then
      DrawGroup1(container)
   elseif group == "tab2" then
      DrawGroup2(container)
   
      elseif group == "tab3" then
      DrawGroup3(container)
   
      elseif group == "tab4" then
      DrawGroup4(container)
   
      elseif group == "tab5" then
      DrawGroup5(container)
      elseif group == "tab6" then
      DrawGroup6(container)
      elseif group == "tab7" then
      DrawGroup7(container)
      elseif group == "tab8" then
      DrawGroup8(container)
      elseif group == "tab9" then
      DrawGroup9(container)
      elseif group == "tab10" then
      DrawGroup10(container)
      elseif group == "tab11" then
      DrawGroup11(container)
   
   end
end


local frame = AceGUI:Create("Frame")
frame:SetTitle("Class Mounts")
frame:SetStatusText("|cff00C78CWorthIt-Guides")
frame:SetWidth(400)
frame:SetHeight(500)
frame:SetCallback("OnClose", function(widget) AceGUI:Release(widget) end)


frame:SetLayout("Fill")






local tab =  AceGUI:Create("TabGroup")
tab:SetLayout("Flow")
tab:SetTabs({{text="Demon Hunter", value="tab1"}, {text="Death Knight", value="tab2"}, {text="Paladin", value="tab3"}, {text="Warlock", value="tab4"}, {text="Hunter", value="tab5"}, {text="Mage", value="tab6"}, {text="Monk", value="tab7"}, {text="Priest", value="tab8"}, {text="Rogue", value="tab9"}, {text="Shaman", value="tab10"}, {text="Warrior", value="tab11"}})
tab:SetCallback("OnGroupSelected", SelectGroup)
tab:SelectTab("tab1")

frame:AddChild(tab)











end